import { UseQueryResult, useQuery } from 'react-query';
import { uuid } from '@mt/common-types';
import { AttractionDetailsBE } from '../nav-widget.interface';
import { AttractionShortPreviewProps } from '@mt/components';

export function useGetAttractionDetails(
  touristAttractionId: uuid
): UseQueryResult<AttractionShortPreviewProps> {
  return useQuery(['getAttractionDetails', touristAttractionId], async () => {
    const {
      touristAttractionAddress: subtitle,
      touristAttractionDescription: content,
      touristAttractionName: title,
      touristAttractionImageUrl: img,
    }: AttractionDetailsBE = await fetch(
      'https://localhost:8443/widgets/attraction-info/data-by-params?' +
        new URLSearchParams({
          touristAttractionId: touristAttractionId as string,
        })
    ).then((res) => res.json());

    return { img, title, subtitle, content };
  });
}
