import {
  AttractionGroupIconSizeType,
  Coordinates,
  StationOnMap as StationOnMapBase,
  Track,
  uuid,
} from '@mt/common-types';
import { Transfer } from '@front/types';

export type PointOnTrack = Coordinates & {
  trackIndex: number;
};

export type StationOnMap = StationOnMapBase & {
  pointOnMap: PointOnTrack;
  transferStationInfos: Transfer[];
};

export interface AttractionOnMap {
  id: uuid;
  pointOnMap: Coordinates;
}

export interface AttractionGroup {
  iconSize: AttractionGroupIconSizeType;
  pointOnMap: Coordinates;
  touristAttractionsOnMap: AttractionOnMap[];
}

export interface MapData {
  mapRotateAngle: number;
  fullMapScale: number;
  zoomedMapScale: number;
  centerOfMapPoint: Coordinates;
  trackPoints: Track;
  stationsOnMap: StationOnMap[];
  touristAttractionGroupsOnMap: AttractionGroup[];
}
