import {
  ArticleBase,
  Coordinates,
  StationOnMap,
  TransportType,
} from "@mt/common-types";
import { LocalizedString } from "@mt/i18n";

// TODO: Rename with BE pointOnMap => coordinates
export interface Station extends Omit<StationOnMap, "coordinates"> {
  pointOnMap: Coordinates;
}

export interface Article extends Omit<ArticleBase, "name"> {
  title: LocalizedString;
}

export interface Transfer {
  type: TransportType;
  name: LocalizedString;
}

/**
 * TYPES
 */
export * from "./uuid.type";
export * from "./media.type";
export * from "./track.type";
export * from "./coordinates.type";
export * from "./on-map.type";
export * from "./transport.type";
export * from "./option.type";
export * from "./attraction-group-icon-size.type";
export * from "./order.type";
export * from "./set-state.type";

/**
 * INTERFACES
 */
export * from "./station.interface";
export * from "./attraction.interface";
export * from "./attraction-widget.interface";
export * from "./article.interface";
export * from "./lightbox.interface";
